<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0" version="1.0">
    <xsl:template match="/tei:TEI">
        <html>
            <head>
                <title>A transformation exercise with XSLT</title>
              <style type="text/css">
                    html{margin:0;padding:0;}
                    body{font-size:14pt; font-family:serif; background:#ddd; color:#036; }
                    h2, h3{font-family:serif; font-size:larger;}
                    div[lang = "zh"]{ text-align:center;}
                    div[lang = "en"]{width:31%;padding: 1%;float:left;}</style>
                
                <script language="javascript"> 
                    function toggle(id) {
                    var ele = document.getElementById(id);                   
                    if(ele.style.display == "block") 
                    {ele.style.display = "none";  }
                    else 
                    { ele.style.display = "block";}
                    } 
                </script>
            </head>
            <body>
                <h2 align="center">A Chinese Poem by <xsl:value-of select="concat(tei:text/tei:body/tei:head/tei:persName/tei:name[@xml:lang='en'], ' ', tei:text/tei:body/tei:head/tei:persName/tei:name[@xml:lang='zh'])"/> (656－712) and three English translations</h2>
                <xsl:apply-templates select="tei:text/tei:body/tei:div"/>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="tei:div">
        <div lang="{@xml:lang}">
            
            <!-- English translations -->
            <xsl:if test="@xml:lang='en'">
                <div>
                    <button onclick="javascript:toggle('content{count(preceding::tei:div[@xml:lang='en'])+1}');">Show/Hide Translation <xsl:value-of select="count(preceding::tei:div[@xml:lang='en'])+1"/> </button>
                    <xsl:element name="div">                        
                        <xsl:attribute name="id">
                            <xsl:text>content</xsl:text><xsl:value-of select="count(preceding::tei:div[@xml:lang='en'])+1"/>
                        </xsl:attribute>                        
                        <xsl:attribute name="style">
                            
                             <xsl:value-of select="'border-style: none solid none none;'"/>
                             
                             <xsl:value-of select="'display: none ;'"/>
                        </xsl:attribute>
                        
                        <h3>
                            <xsl:value-of select="tei:head"/>
                        </h3>
                        <p style="font-size:smaller">(Translated by <xsl:value-of select="tei:byline/tei:docAuthor"/>)</p>
                        <p>
                            <xsl:for-each select="tei:lg/tei:l">
                                <xsl:value-of select="."/>
                                <br/>
                            </xsl:for-each>
                        </p>
                    </xsl:element>
                </div>
            </xsl:if>
            
            <!-- Chinese -->
            
            <xsl:if test="@xml:lang='zh'">
                <div>
                    <h3>
                        <xsl:value-of select="tei:head"/>
                    </h3>
                    <p>
                        <xsl:for-each select="tei:lg/tei:l">
                            <xsl:value-of select="."/>
                            <br/>
                        </xsl:for-each>
                    </p>
                </div>
            </xsl:if>


        </div>
    </xsl:template>

</xsl:stylesheet>
